Package com.verisign.epp.serverstub

## Interface TtlSubDomainHandler

- All Known Implementing Classes:
    `TtlV1_0DomainHandler`

      public interface TtlSubDomainHandler

  Sub Domain Handler for use with the TTL extension. This interface is used to support handling multiple versions of the TTL extension, where each different version of the TTL extension must implement this interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doDomainCreate​(EPPDomainCreateCmd aCreateCommand, EPPResponse aResponse, java.lang.Object aData)` | Handle an EPP Domain Create Command.
    `void` | `doDomainInfo​(EPPDomainInfoCmd aInfoCommand, EPPResponse aResponse, java.lang.Object aData)` | Handle an EPP Domain Info Command.
    `void` | `doDomainUpdate​(EPPDomainUpdateCmd aUpdateCommand, EPPResponse aResponse, java.lang.Object aData)` | Handle an EPP Domain Update Command.

- - ### Method Detail

    - #### doDomainInfo

          void doDomainInfo​(EPPDomainInfoCmd aInfoCommand,
                            EPPResponse aResponse,
                            java.lang.Object aData)

      Handle an EPP Domain Info Command.
      Parameters:
        `aInfoCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.

    - #### doDomainCreate

          void doDomainCreate​(EPPDomainCreateCmd aCreateCommand,
                              EPPResponse aResponse,
                              java.lang.Object aData)

      Handle an EPP Domain Create Command.
      Parameters:
        `aCreateCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.

    - #### doDomainUpdate

          void doDomainUpdate​(EPPDomainUpdateCmd aUpdateCommand,
                              EPPResponse aResponse,
                              java.lang.Object aData)

      Handle an EPP Domain Update Command.
      Parameters:
        `aUpdateCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.